package com.goafanti.activityUser.service;

import java.util.List;

import org.springframework.ui.ModelMap;

import com.goafanti.activityUser.bo.ActivityUserListBo;
import com.goafanti.common.model.ActivityUser;
import com.goafanti.common.model.ActivityUserKey;
import com.goafanti.core.mybatis.page.Pagination;

public interface ActivityUserService {

	ActivityUser selectByUid(String userId);

	int save(Long aid);

	int update(ActivityUser au);

	Pagination<ActivityUserListBo> listActivityUser(String activityName, String mobile, String username, Integer number,
			Integer pageSize, Integer pageNo);

	Pagination<ActivityUserListBo> listActivityOrg(String activityName, String mobile, String unitName, Integer number,
			Integer pSize, Integer pNo);

	ActivityUser selectByPrimaryKey(ActivityUserKey key);

	ActivityUser selectByAidAndUid(Long aid, String userId);

	int batchDeleteByPrimaryKey(Long aid, String uid);

	List<ModelMap> selectUserActivities();

}
